<template>
  <div class="m-5 w-90">
    <router-link to="/create"><button class="btn btn-success text-lg-end mb-5 mt-3 me-5" style="float: right;">Create</button></router-link>
    <div class="col-sm-12">
      <v-data-table :headers="headers" :items="dataBooks" class="elevation-1">
        <template class="bg-timeline" slot="items" scope="props">
          <tr :id="props.item.id">
            <td class="text-xs-left cursor">{{ props.item.name }}</td>
            <td class="text-xs-left cursor">{{ props.item.description }}</td>

            <td class="text-xs-left">
              <div class="row">
                <div class="col-md-6">
                  <router-link to="/edit"> <button class="btn btn-success">Edit</button>  </router-link>
                </div>
                <div class="col-md-6">
                   <button class="btn btn-primary" @click="bookDetail(props.item.id)">Detail</button>
                </div>
              </div>
            </td>
          </tr>
        </template>
      </v-data-table>
      
     
  </div>
  <!-- <detail :detail-id="idBook"></detail> -->
  </div>
</template>

<script>
import axios from "axios";
// import Detail from '@/components/books/Detail.vue';

export default {
  name: "Books",
  // components: {
  //   Detail,
  // },
  data() {
    return {
      idBook: null,
      dataBooks: [],
      headers: [
        {
          text: "Name",
          align: "left",
          sortable: true,
          value: "name",
        },

        { text: "Description", value: "description", sortable: false },
        { text: "Action", value: "name", sortable: false },
      ],
    };
  },
  methods: {
    async getData() {
      try {
        let tokenData = localStorage.getItem("token");
        await axios.get("api/books?token=" + tokenData).then((response) => {
          this.dataBooks = response.data.data.books;
        });
      } catch (error) {
        console.log(error);
      }
    },
    bookDetail(id) {
      this.idBook = id;

      this.$router.push("detail");
    }
    
  },
  mounted() {
    this.getData();
  },
};
</script>

<style lang="scss" scoped>
</style>